package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.TSSDGroup;
import com.sa.ibiz.demo.demo.service.TSSDGroupService;
import com.sa.ibiz.demo.demo.service.dto.TSSDGroupSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/tssdgroup")
public class TSSDGroupResource
{
	@Autowired
	private TSSDGroupService service;


	@GetMapping(value = "/{id}")
	public ResponseEntity<TSSDGroup> get(@Validated @PathVariable String id){
		TSSDGroup data=new TSSDGroup();
		data.setTssdgroupid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("任务时刻策略组[get]操作发生错误","TSSDGroup",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<TSSDGroup> remove(@Validated @RequestBody TSSDGroup data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("任务时刻策略组[remove]操作发生错误","TSSDGroup",data.getTssdgroupid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<TSSDGroup> checkKey(@Validated @RequestBody TSSDGroup data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("任务时刻策略组[checkKey]操作发生错误","TSSDGroup",data.getTssdgroupid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<TSSDGroup> getDraft(@Validated @RequestBody TSSDGroup data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("任务时刻策略组[getDraft]操作发生错误","TSSDGroup","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<TSSDGroup> update(@Validated @RequestBody TSSDGroup data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("任务时刻策略组[update]操作发生错误","TSSDGroup",data.getTssdgroupid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<TSSDGroup> create(@Validated @RequestBody TSSDGroup data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("任务时刻策略组[create]操作发生错误","TSSDGroup",data.getTssdgroupid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<TSSDGroup>> searchDefaultPage(@Validated @RequestBody TSSDGroupSearchFilter filter){
		Page<TSSDGroup> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<TSSDGroup>> listDefault(@Validated @RequestBody TSSDGroupSearchFilter filter){
		List<TSSDGroup> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
